function [OutputMatrix,V,D,TransformedEigenValuesMatrix]=TransformationMatrixPositiveDefinite(InputMatrix,AlphaPosDefMatrix)


% Perform the eigenvalue decomposition

[V,D] = eig(InputMatrix);



Eigenvalues=diag(D);

TransformedEigenValuesMatrix=diag(Eigenvalues.*coth(Eigenvalues*AlphaPosDefMatrix));


OutputMatrix=real(V*TransformedEigenValuesMatrix*V');